#3024 closed defect (fixed)

dl04, dl05 build failes

Reported by: Pavel Owned by: Chris Johns
Priority: normal Milestone: 4.11.3
Component: lib/dl Version: 4.11
Severity: normal Keywords: dl04, dl05, depcomp, CXXDEPMOD
Cc: Blocked By:
Blocking:

Description

Building rtems-4.11.2-rc4 with "--enable-tests" option fails with error from depcomp:
"depcomp: Variables source, object and depmode must be set"

The reason (in my opinion) is empty CXXDEPMODE variable in Makefiles generated for dl04 and dl05.

I changed it to depmode=gcc for dl04 and depmode=gcc3 for dl05 just to check, it helped.

But I don't know the right value for this variable.

target - i386-rtems4.11
bsp - pc486
version - rtems-4.11.2-rc4 (version downloaded by rtems-source-builder-4.11.2-rc4)

Change History (6)

comment:1 Changed on May 23, 2017 at 3:47:28 PM by Joel Sherrill

Owner: changed from joel.sherrill@… to Chris Johns
Status: newassigned

Changing own to chrisj since he owns the dl tests and has been hacking on the Makefiles lately.

The script depcomp is at the top of a bootstrapped source tree and is documented as part of automake. Hopefully the documentation pointers saved someone some time.

comment:2 Changed on May 24, 2017 at 12:06:42 AM by Chris Johns

Milestone: 4.11.34.11.2

comment:3 Changed on Jul 11, 2017 at 12:37:09 AM by Chris Johns

Milestone: 4.11.24.11.3

comment:4 Changed on Aug 22, 2017 at 11:49:20 PM by Chris Johns <chrisj@…>

Resolution: fixed
Status: assignedclosed

In 2ed53cb9/rtems:

testsuite/dl: Add C++ by default for DL tests which use C++.

  • Add AM C++ support to the testsuite configure.ac script.
  • Fix the dependences in the DL tests.

Closes #3024.

comment:5 Changed on Oct 10, 2017 at 6:46:55 AM by Sebastian Huber

Component: testingunspecified

comment:6 Changed on Feb 12, 2018 at 3:54:22 AM by Chris Johns

Component: unspecifiedlib/dl
Note: See TracTickets for help on using tickets.